# Generated by Django 4.2.7 on 2023-12-06 11:40

import cms.models.fields
import datacenterlight.cms_models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangocms_text_ckeditor.fields
import filer.fields.image


class Migration(migrations.Migration):

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        ('cms', '0022_auto_20180620_1551'),
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
        ('datacenterlight', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='DCLFooterPluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
                ('copyright_label', models.CharField(blank=True, default='ungleich glarus ag', help_text='Name of the company alongside the copyright year', max_length=100)),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='DCLLinkPluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
                ('target', models.CharField(help_text='Url or #id to navigate to', max_length=100)),
                ('text', models.CharField(help_text='Text for the menu item', max_length=50)),
                ('title', models.CharField(blank=True, help_text='Optional title text, that will be shown when a user hovers over the link', max_length=100, null=True)),
                ('separator', models.BooleanField(default=False, help_text='Select to include a separator after the previous link')),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='DCLNavbarDropdownPluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
                ('target', models.CharField(blank=True, help_text='Optional Url or #id to navigate on click', max_length=100, null=True)),
                ('text', models.CharField(help_text='Text for the dropdown toggle', max_length=50)),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='DCLSectionIconPluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
                ('fontawesome_icon_name', models.CharField(help_text='Name of the fontawesome icon to use. <a href="https://fontawesome.com/v4.7.0/icons/" target="_blank">Refer docs.</a>', max_length=30)),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='DCLSectionPluginModel',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
                ('heading', models.CharField(blank=True, help_text='An optional heading for the Section', max_length=100, null=True)),
                ('content', djangocms_text_ckeditor.fields.HTMLField()),
                ('text_direction', models.CharField(choices=[('left', 'Left'), ('right', 'Right')], default=True, help_text='The alignment of text in the section', max_length=10)),
                ('html_id', models.SlugField(blank=True, help_text='An optional html id for the Section. Required to set as target of a link on page', null=True)),
                ('plain_heading', models.BooleanField(default=False, help_text='Select to keep the heading style simpler.')),
                ('center_on_mobile', models.BooleanField(default=False, help_text='Select to center align content on small screens.')),
                ('background_gradient', models.BooleanField(default=False, help_text='Select to add a gradient background to the section.')),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin',),
        ),
        migrations.CreateModel(
            name='StripePlan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('stripe_plan_id', models.CharField(max_length=256, null=True)),
                ('stripe_plan_name', models.CharField(default='', max_length=512, null=True)),
                ('amount', models.PositiveIntegerField(default=0)),
                ('interval', models.CharField(default='', max_length=128, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='VMPricing',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
                ('vat_inclusive', models.BooleanField(default=True)),
                ('vat_percentage', models.DecimalField(blank=True, decimal_places=5, default=0, max_digits=7)),
                ('cores_unit_price', models.DecimalField(decimal_places=5, default=0, max_digits=7)),
                ('ram_unit_price', models.DecimalField(decimal_places=5, default=0, max_digits=7)),
                ('ssd_unit_price', models.DecimalField(decimal_places=5, default=0, max_digits=7)),
                ('hdd_unit_price', models.DecimalField(decimal_places=6, default=0, max_digits=7)),
                ('discount_name', models.CharField(blank=True, max_length=255, null=True)),
                ('discount_amount', models.DecimalField(decimal_places=2, default=0, max_digits=6)),
                ('stripe_coupon_id', models.CharField(blank=True, max_length=255, null=True)),
            ],
        ),
        #migrations.CreateModel(
        #    name='VMTemplate',
        #    fields=[
        #        ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
        #        ('name', models.CharField(max_length=50)),
        #        ('opennebula_vm_template_id', models.IntegerField()),
        #        ('vm_type', models.CharField(choices=[('public', 'Public'), ('ipv6only', 'Ipv6Only')], default='public', max_length=50)),
        #    ],
        #),
        #migrations.CreateModel(
        #    name='DCLSectionPromoPluginModel',
        #    fields=[
        #        ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
        #        ('heading', models.CharField(blank=True, help_text='An optional heading for the Promo Section', max_length=100, null=True)),
        #        ('subheading', models.CharField(blank=True, help_text='An optional subheading for the Promo Section', max_length=200, null=True)),
        #        ('content', djangocms_text_ckeditor.fields.HTMLField()),
        #        ('html_id', models.SlugField(blank=True, help_text='An optional html id for the Section. Required to set as target of a link on page', null=True)),
        #        ('plain_heading', models.BooleanField(default=False, help_text='Select to keep the heading style simpler.')),
        #        ('text_center', models.BooleanField(default=False, help_text='Select to center align content on small screens.')),
        #        ('background_image', filer.fields.image.FilerImageField(blank=True, help_text='Optional background image for the Promo Section', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dcl_section_promo_promo', to=settings.FILER_IMAGE_MODEL)),
        #    ],
        #    options={
        #        'abstract': False,
        #    },
        #    bases=('cms.cmsplugin',),
        #),
        #migrations.CreateModel(
        #    name='DCLSectionImagePluginModel',
        #    fields=[
        #        ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
        #        ('caption', models.CharField(blank=True, help_text='Optional caption for the image.', max_length=100, null=True)),
        #        ('image', filer.fields.image.FilerImageField(help_text='Image file to be used in section. Add multiple plugins to add more than one image', on_delete=django.db.models.deletion.CASCADE, to=settings.FILER_IMAGE_MODEL)),
        #    ],
        #    options={
        #        'abstract': False,
        #    },
        #    bases=('cms.cmsplugin',),
        #),
        #migrations.CreateModel(
        #    name='DCLNavbarPluginModel',
        #    fields=[
        #        ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
        #        ('logo_url', models.URLField(blank=True, max_length=300, null=True)),
        #        ('language_dropdown', models.BooleanField(default=True, help_text='Select to include the language selection dropdown.')),
        #        ('show_login_option', models.BooleanField(default=True, help_text='Uncheck this if you do not want to show login/dashboard.')),
        #        ('show_non_transparent_navbar_always', models.BooleanField(default=False, help_text='Check this if you want to show non transparent navbar only.(Useful when we want to setup a simple page)')),
        #        ('logo_dark', filer.fields.image.FilerImageField(blank=True, help_text='Logo to be used on white navbar', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dcl_navbar_logo_dark', to=settings.FILER_IMAGE_MODEL)),
        #        ('logo_light', filer.fields.image.FilerImageField(blank=True, help_text='Logo to be used on transparent navbar', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dcl_navbar_logo_light', to=settings.FILER_IMAGE_MODEL)),
        #    ],
        #    options={
        #        'abstract': False,
        #    },
        #    bases=('cms.cmsplugin',),
        #),
        #migrations.CreateModel(
        #    name='DCLCalculatorPluginModel',
        #    fields=[
        #        ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
        #        ('vm_type', models.CharField(choices=[('public', 'Public'), ('ipv6only', 'Ipv6Only')], default='public', max_length=50)),
        #        ('vm_templates_to_show', datacenterlight.cms_models.MultipleChoiceArrayField(base_field=models.CharField(blank=True, max_length=256), blank=True, default=list, help_text='Recommended: If you wish to show all templates of the corresponding VM Type (public/ipv6only), please do not select any of the items in the above field. This will allow any new template(s) added in the backend to be automatically listed in this calculator instance.', size=None)),
        #        ('default_selected_template', models.CharField(default='Devuan Ascii', help_text='Write the name of the template that you need selected as default when the calculator loads', max_length=128, null=True)),
        #        ('enable_512mb_ram', models.BooleanField(default=False)),
        #        ('pricing', models.ForeignKey(help_text='Choose a pricing that will be associated with this Calculator', on_delete=django.db.models.deletion.CASCADE, related_name='dcl_custom_pricing_vm_pricing', to='datacenterlight.vmpricing')),
        #    ],
        #    options={
        #        'abstract': False,
        #    },
        #    bases=('cms.cmsplugin',),
        #),
        #migrations.CreateModel(
        #    name='DCLBannerItemPluginModel',
        #    fields=[
        #        ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='%(app_label)s_%(class)s', serialize=False, to='cms.cmsplugin')),
        #        ('content', djangocms_text_ckeditor.fields.HTMLField()),
        #        ('banner_text', djangocms_text_ckeditor.fields.HTMLField(blank=True, help_text='Optional text to be shown as banner in other half.', max_length=100, null=True)),
        #        ('text_direction', models.CharField(choices=[('left', 'Left'), ('right', 'Right')], default=True, help_text='The alignment of text in the section', max_length=10)),
        #        ('banner_image', filer.fields.image.FilerImageField(blank=True, help_text='Optional image to be used in the banner in other half.', null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.FILER_IMAGE_MODEL)),
        #    ],
        #    options={
        #        'abstract': False,
        #    },
        #    bases=('cms.cmsplugin',),
        #),
        #migrations.CreateModel(
        #    name='CMSFaviconExtension',
        #    fields=[
        #        ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
        #        ('favicon', models.CharField(blank=True, max_length=100, null=True)),
        #        ('extended_object', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='cms.page')),
        #        ('public_extension', models.OneToOneField(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='draft_extension', to='datacenterlight.cmsfaviconextension')),
        #    ],
        #    options={
        #        'abstract': False,
        #    },
        #),
        #migrations.CreateModel(
        #    name='CMSIntegration',
        #    fields=[
        #        ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
        #        ('name', models.CharField(default='default', help_text='A unique name for the Integration. This name will be used to fetch the Integration into pages', max_length=100)),
        #        ('calculator_placeholder', cms.models.fields.PlaceholderField(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dcl-calculator-placeholder+', slotname='datacenterlight_calculator', to='cms.placeholder')),
        #        ('domain', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
        #        ('footer_placeholder', cms.models.fields.PlaceholderField(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dcl-footer-placeholder+', slotname='datacenterlight_footer', to='cms.placeholder')),
        #        ('navbar_placeholder', cms.models.fields.PlaceholderField(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dcl-navbar-placeholder+', slotname='datacenterlight_navbar', to='cms.placeholder')),
        #    ],
        #    options={
        #        'unique_together': {('name', 'domain')},
        #    },
        #),
    ]
