from django.urls import re_path

from utils.views import SSHKeyCreateView, AskSSHKeyView
from .views import (
    DjangoHostingView, RailsHostingView, PaymentVMView, NodeJSHostingView,
    LoginView, SignupView, SignupValidateView, SignupValidatedView, IndexView,
    #  NotificationsView, MarkAsReadNotificationView,
    OrdersHostingListView, OrdersHostingDetailView,
    VirtualMachinesPlanListView, VirtualMachineView, OrdersHostingDeleteView,
    PasswordResetView, PasswordResetConfirmView,
    HostingPricingView, CreateVirtualMachinesView, HostingBillListView,
    HostingBillDetailView, SSHKeyDeleteView, SSHKeyListView,
    SSHKeyChoiceView, DashboardView, SettingsView, ResendActivationEmailView,
    InvoiceListView, InvoiceDetailView, CustomLogoutView
)
app_name = 'hosting'
urlpatterns = [
    re_path(r'index/?$', IndexView.as_view(), name='index'),
    re_path(r'django/?$', DjangoHostingView.as_view(), name='djangohosting'),
    # re_path(r'checkvm/?$', CheckUserVM.as_view(), name='check_vm'),
    re_path(r'dashboard/?$', DashboardView.as_view(), name='dashboard'),
    re_path(r'nodejs/?$', NodeJSHostingView.as_view(), name='nodejshosting'),
    re_path(r'rails/?$', RailsHostingView.as_view(), name='railshosting'),
    re_path(r'pricing/?$', HostingPricingView.as_view(), name='pricing'),
    re_path(r'payment/?$', PaymentVMView.as_view(), name='payment'),
    re_path(r'settings/?$', SettingsView.as_view(), name='settings'),
    re_path(r'orders/?$', OrdersHostingListView.as_view(), name='orders'),
    re_path(r'invoices/?$', InvoiceListView.as_view(), name='invoices'),
    re_path(r'order-confirmation/?$', OrdersHostingDetailView.as_view(),
            name='order-confirmation'),
    re_path(r'^add-ssh-key/?$', AskSSHKeyView.as_view(),
            name='add_ssh_key'),
    re_path(r'orders/(?P<pk>\d+)/?$', OrdersHostingDetailView.as_view(),
            name='orders'),
    re_path(r'invoice/(?P<invoice_id>[-\w]+)/?$', InvoiceDetailView.as_view(),
            name='invoices'),
    re_path(r'bills/?$', HostingBillListView.as_view(), name='bills'),
    re_path(r'bills/(?P<pk>\d+)/?$', HostingBillDetailView.as_view(),
            name='bills'),
    re_path(r'cancel_order/(?P<pk>\d+)/?$',
            OrdersHostingDeleteView.as_view(), name='delete_order'),
    re_path(r'create_virtual_machine/?$', CreateVirtualMachinesView.as_view(),
            name='create_virtual_machine'),
    re_path(r'my-virtual-machines/?$',
            VirtualMachinesPlanListView.as_view(), name='virtual_machines'),
    re_path(r'my-virtual-machines/(?P<pk>\d+)/?$', VirtualMachineView.as_view(),
            name='virtual_machines'),
    re_path(r'ssh_keys/?$', SSHKeyListView.as_view(),
            name='ssh_keys'),
    re_path(r'ssh_keys_choice/?$', SSHKeyChoiceView.as_view(),
            name='choice_ssh_keys'),
    re_path(r'delete_ssh_key/(?P<pk>\d+)/?$', SSHKeyDeleteView.as_view(),
            name='delete_ssh_key'),
    re_path(r'delete_card/(?P<pk>[\w\-]+)/$', SettingsView.as_view(),
            name='delete_card'),
    re_path(r'create_ssh_key/?$', SSHKeyCreateView.as_view(),
            name='create_ssh_key'),
    # re_path(r'^notifications/$', NotificationsView.as_view(),
    #         name='notifications'),
    # re_path(r'^notifications/(?P<pk>\d+)/?$', MarkAsReadNotificationView.as_view(),
    #         name='read_notification'),
    re_path(r'login/?$', LoginView.as_view(), name='login'),
    re_path(r'signup/?$', SignupView.as_view(), name='signup'),
    re_path(r'signup-validate/?$', SignupValidateView.as_view(),
            name='signup-validate'),
    re_path(r'resend-activation-link/?$', ResendActivationEmailView.as_view(),
            name='resend_activation_link'),
    re_path(r'reset-password/?$', PasswordResetView.as_view(),
            name='reset_password'),
    re_path(r'reset-password-confirm/(?P<uidb64>[0-9A-Za-z]+)-(?P<token>.+)/$',
            PasswordResetConfirmView.as_view(), name='reset_password_confirm'),
    re_path(r'^logout/?$', CustomLogoutView.as_view(), name='logout'),
    re_path(r'^validate/(?P<validate_slug>.*)/$',
            SignupValidatedView.as_view(), name='validate')
]
